%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name Structures_Graph

Name:           php-pear-Structures-Graph
Version:        1.0.2
Release:        1%{?dist}
Summary:        Graph datastructure manipulation library

Group:          Development/Libraries
License:        LGPLv2
URL:            http://pear.php.net/package/Structures_Graph
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}

%description
Structures_Graph is a package for creating and manipulating graph
datastructures. It allows building of directed and undirected graphs, with
data and metadata stored in nodes. The library provides functions for graph
traversing as well as for characteristic extraction from the graph topology.


%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{pear_name}.xml
cd %{pear_name}-%{version}


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{pear_name}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{pear_name}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{pear_name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

# A bit of cleanup
chmod a+x $RPM_BUILD_ROOT%{pear_datadir}/%{pear_name}/{genpackage.xml.pl,package.sh,publish.sh}
chmod a+x $RPM_BUILD_ROOT%{pear_testdir}/%{pear_name}/tests/all-tests.php
rm -f $RPM_BUILD_ROOT%{pear_testdir}/%{pear_name}/tests/README
# W: wrong-file-end-of-line-encoding /usr/share/doc/php-pear-Structures-Graph-1.0.2/docs/html/media/banner.css
# W: wrong-file-end-of-line-encoding /usr/share/doc/php-pear-Structures-Graph-1.0.2/docs/html/media/stylesheet.css


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_name}-%{version}/docdir/%{pear_name}/*
%doc %{pear_name}-%{version}/LICENSE
%{pear_xmldir}/%{pear_name}.xml
%{pear_testdir}/%{pear_name}
%{pear_datadir}/%{pear_name}
# Expand this as needed to avoid owning dirs owned by our dependencies
%{pear_phpdir}/*


%changelog
* Tue Nov 18 2008 Xavier Bachelot <xavier@bachelot.org> 1.0.2-1
- Initial build.

